%define	major 13
%define libname %mklibname archive %{major}
%define develname %mklibname archive -d

Summary:	Library for reading and writing streaming archives
Name:		libarchive
Version:	3.1.2
%define subrel	1
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.libarchive.org/
Source0:	http://www.libarchive.org/downloads/%{name}-%{version}.tar.gz
Patch0:		libarchive-2.6.1-headers.patch
Patch1:		libarchive-CVE-2013-0211.patch
Patch2:		libarchive-bsdcpio-dir-traversal.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	libacl-devel
BuildRequires:	libattr-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	openssl-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRequires:	lzma-devel
BuildRequires:	liblzo2-devel
BuildRequires:	libxml2-devel
BuildRequires:	sharutils

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{libname}
Summary:	Library for reading and writing streaming archives
Group:          System/Libraries

%description -n	%{libname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{develname}
Summary:	Static library and header files for the libarchive library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{libname}-devel = %{version}
Obsoletes:	%{libname}-devel
Obsoletes:	%{mklibname archive 1}-devel
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

This package contains header files for the libarchive library.

%package -n	bsdtar
Summary:	Full-featured tar replacement built on libarchive
Group:		Archiving/Backup

%description -n	bsdtar
The bsdtar program is a full-featured tar replacement built on libarchive.

%package -n	bsdcpio
Summary:	Copy files to and from archives
Group:		Archiving/Backup

%description -n	bsdcpio
bsdcpio copies files between archives and directories. This implementation can
extract from tar, pax, cpio, zip, jar, ar, and ISO 9660 cdrom images and can
create tar, pax, cpio, ar, and shar archives.

%prep
%setup -q
%patch0 -p0 -b .headers
%patch1 -p1 -b .CVE-2013-0211
%patch2 -p1 -b .bsdcpio-dir-traversal

%build
autoreconf -fis

%configure2_5x --disable-static \
    --enable-bsdtar=shared \
    --enable-bsdcpio=shared

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n bsdtar
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/bsdtar
%attr(0644,root,root) %{_mandir}/man1/bsdtar.1*

%files -n bsdcpio
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/bsdcpio
%attr(0644,root,root) %{_mandir}/man1/bsdcpio.1*

%files -n %{libname}
%defattr(-,root,root)
%doc NEWS README
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/*so
%attr(0644,root,root) %{_libdir}/pkgconfig/libarchive.pc
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_mandir}/man5/*


%changelog
* Thu Mar 05 2015 luigiwalser <luigiwalser> 3.1.2-2.1.mga4
+ Revision: 817815
- add upstream patch to fix directory traversal issue in bsdcpio

* Sat Oct 19 2013 umeabot <umeabot> 3.1.2-2.mga4
+ Revision: 528828
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 luigiwalser <luigiwalser> 3.1.2-1.mga4
+ Revision: 434792
- 3.1.2
- update URLs
- library major is now 13
- add BR liblzo2-devel and libxml2-devel

* Tue Apr 09 2013 luigiwalser <luigiwalser> 3.0.4-3.mga3
+ Revision: 409184
- add upstream patch to fix CVE-2013-0211

* Sat Jan 12 2013 umeabot <umeabot> 3.0.4-2.mga3
+ Revision: 356819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 luigiwalser <luigiwalser> 3.0.4-1.mga3
+ Revision: 253488
- 3.0.4
- update source URL

* Sun Jan 15 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 196360
- new version 3.0.3

* Wed Jan 04 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 190633
- new version 3.0.2

* Sun Oct 02 2011 fwang <fwang> 2.8.5-1.mga2
+ Revision: 150818
- new version 2.8.5

* Thu Sep 15 2011 fwang <fwang> 2.8.4-3.mga2
+ Revision: 143774
- drop .la files

* Tue Jan 11 2011 ahmad <ahmad> 2.8.4-2.mga1
+ Revision: 6193
- drop old/unneeded scriptlets
- imported package libarchive

